session-installer crashed with RuntimeError in /usr/lib/python2.7/dist-packages/gi/overrides/Gtk.py: Gtk couldn't be initialized

Bug #904825 reported by Baronos on 2011-12-15
82
This bug affects 13 people
Affects Status Importance Assigned to Milestone
sessioninstaller (Ubuntu)
Medium
Unassigned

Bug Description

ubuntu@baronos:~$ lsb_release -rd
Description: Ubuntu precise (development branch)
Release: 12.04
_______________

ProblemType: Crash
DistroRelease: Ubuntu 12.04
Package: sessioninstaller 0.20+bzr123-0ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-4.10-generic 3.2.0-rc5
Uname: Linux 3.2.0-4-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 1.90-0ubuntu1
Architecture: amd64
CrashCounter: 1
Date: Wed Dec 14 22:36:55 2011
ExecutablePath: /usr/bin/session-installer
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha amd64 (20111211)
InterpreterPath: /usr/bin/python2.7
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/bin/session-installer
PythonArgs: ['/usr/bin/session-installer']
SourcePackage: sessioninstaller
Title: session-installer crashed with RuntimeError in /usr/lib/python2.7/dist-packages/gi/overrides/Gtk.py: Gtk couldn't be initialized
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

Baronos (seredkinab) wrote :
Baronos (seredkinab) wrote :

ubuntu@baronos:~$ apt-cache policy sessioninstaller
sessioninstaller:
  Установлен: 0.20+bzr123-0ubuntu1
  Кандидат: 0.20+bzr123-0ubuntu1
  Таблица версий:
 *** 0.20+bzr123-0ubuntu1 0
        500 http://mirror.yandex.ru/ubuntu/ precise/main amd64 Packages
        100 /var/lib/dpkg/status

tags: removed: need-duplicate-check
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in sessioninstaller (Ubuntu):
status: New → Confirmed
affects: sessioninstaller (Ubuntu) → pygobject (Ubuntu)
visibility: private → public
Changed in pygobject (Ubuntu):
importance: Undecided → Medium
Martin Pitt (pitti) wrote :

Apparently sessioninstaller was called without a $DISPLAY?

affects: pygobject (Ubuntu) → sessioninstaller (Ubuntu)
Stinger (e-mindahl) wrote :

Still present on quantal 12.10, got the bug after log in to my session.

m (wn-ubuntu-ie) wrote :

$ lsb_release -rd
Description: Ubuntu 12.04.4 LTS
Release: 12.04
$
$ apt-cache policy sessioninstaller
sessioninstaller:
  Installed: 0.20+bzr128-0ubuntu1.3
  Candidate: 0.20+bzr128-0ubuntu1.3
  Version table:
 *** 0.20+bzr128-0ubuntu1.3 0
        500 http://us.archive.ubuntu.com/ubuntu/ precise-updates/main amd64 Packages
        100 /var/lib/dpkg/status
     0.20+bzr123-0ubuntu2 0
        500 http://us.archive.ubuntu.com/ubuntu/ precise/main amd64 Packages
$

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers